using UnrealBuildTool;

public class PixelStreamController : ModuleRules

{

    public PixelStreamController(ReadOnlyTargetRules Target) : base(Target)

    {
		PublicDependencyModuleNames.AddRange(
	    new string[]
	    {
		    "Core"	
        });

		PrivateDependencyModuleNames.AddRange(new string[] { 
            "Core",
            "CoreUObject", 
            "PortaInterface",
            "Engine",
            "PixelStreaming"
        });

        if (Target.bBuildEditor == true)
        {
            ReadOnlyBuildVersion Version = ReadOnlyBuildVersion.Current;
            if (Version.MinorVersion >= 1)
            {
                PrivateDependencyModuleNames.Add("PixelStreamingEditor");
                PrivateDependencyModuleNames.Add("PixelStreamingServers");
            }
        }
    }

}